lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pleiades/helper/version'

# Describe your gem and declare its dependencies:
Gem::Specification.new do |spec|
  spec.name        = 'pleiades-helper'
  spec.version     = Pleiades::Helper::VERSION
  spec.authors     = ['HarukiKubota']
  spec.email       = ['ricca545@icloud.com']

  spec.summary     = 'pleiadesをRspecでテストするためのGem'
  spec.description   = 'Railsで利用可能。'
  spec.homepage      = 'https://github.com/harukikubota/pleiades-helper'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'bundler', '~> 2.0'
  spec.add_dependency 'pleiades', '~> 0.1.5'
  spec.add_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rails', '~> 5.2.3'
  spec.add_development_dependency 'rake', '~> 10.0'
end
